PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningSetType

Sets the type of partitioner to use

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetType(MatPartitioning part,MatPartitioningType type)

Collective on MatPartitioning

### Input Parameter

| part | - the partitioning context.
| type | - a known method

### Options Database Command

     -mat_partitioning_type  <type>

         Use -help for a list of available methods

         (for instance, parmetis)

### See Also

MatPartitioningCreate(), MatPartitioningApply(), MatPartitioningType

### Level

intermediate

### Location

src/mat/partition/partition.c

### Examples

src/ksp/ksp/tutorials/ex64.c.html
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages